| OpenCV 3.4.7 Open Source Computer Vision

Public Member Functions | List of all members
cvflann::RadiusResultSet< DistanceType > Class Template Reference

`#include <opencv2/flann/result_set.h>`

Inheritance diagram for cvflann::RadiusResultSet< DistanceType >:

## Public Member Functions
| RadiusResultSet (DistanceType radius_, int *indices_, DistanceType *dists_, int capacity_)
| ~RadiusResultSet ()
void | addPoint (DistanceType dist, int index)
bool | full () const
void | init ()
size_t | size () const
DistanceType | worstDist () const
Public Member Functions inherited from cvflann::ResultSet< DistanceType >
virtual | ~ResultSet ()

## Detailed Description

### template<typename DistanceType>
class cvflann::RadiusResultSet< DistanceType >

A result-set class used when performing a radius based search.

## Constructor & Destructor Documentation

## § RadiusResultSet()

template<typename DistanceType >

cvflann::RadiusResultSet< DistanceType >::RadiusResultSet | ( | DistanceType | radius_,
|  | int * | indices_,
|  | DistanceType * | dists_,
|  | int | capacity_
| ) |  |
| inline

## § ~RadiusResultSet()

template<typename DistanceType >

cvflann::RadiusResultSet< DistanceType >::~RadiusResultSet | ( |  | ) |
| inline

## Member Function Documentation

## § addPoint()

template<typename DistanceType >

void cvflann::RadiusResultSet< DistanceType >::addPoint | ( | DistanceType | dist,
|  | int | index
| ) |  |
| inline virtual

Implements cvflann::ResultSet< DistanceType >.

## § full()

template<typename DistanceType >

bool cvflann::RadiusResultSet< DistanceType >::full | ( |  | ) | const
| inline virtual

Implements cvflann::ResultSet< DistanceType >.

## § init()

template<typename DistanceType >

void cvflann::RadiusResultSet< DistanceType >::init | ( |  | ) |
| inline

## § size()

template<typename DistanceType >

size_t cvflann::RadiusResultSet< DistanceType >::size | ( |  | ) | const
| inline

## § worstDist()

template<typename DistanceType >

DistanceType cvflann::RadiusResultSet< DistanceType >::worstDist | ( |  | ) | const
| inline virtual

Implements cvflann::ResultSet< DistanceType >.

The documentation for this class was generated from the following file:

- opencv2/flann/result_set.h